Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.
root@bt:~/wepbuster-1.0_beta# ./wepbuster 
Can't locate File/Slurp.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at ./wepbuster line 7.
BEGIN failed--compilation aborted at ./wepbuster line 7.
root@bt:~/wepbuster-1.0_beta# cpan

cpan shell -- CPAN exploration and modules installation (v1.9402)
Enter 'h' for help.

cpan[1]> install Slurp
CPAN: Storable loaded ok (v2.20)
Going to read '/root/.cpan/Metadata'
Database was generated on Wed, 10 Aug 2011 13:35:51 GMT
Slurp is up to date (0.4).

cpan[2]>

Hello, how do I fix this little issue?

share|improve this question

2 Answers 2

up vote 3 down vote accepted

First of all you want to do install File::Slurp not install Slurp, they are not the same thing.

On a general note, if you have a cpan module that you want to install even if cpan thinks it's up to date you can do cpan[1]>force install File::Slurp to force it to install again.

share|improve this answer

On Windows with ActiveState Perl:

ppm install File-Slurp

worked for me. More details here.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.